stringprep_convert(3)

NAME
stringprep_convert - API function

SYNOPSIS
#include <stringprep.h>

char * stringprep_convert(const char * str, const char * to_codeset, const char * from_codeset);

ARGUMENTS

const char * str
    input zero-terminated string.

const char * to_codeset
    name of destination character set.

const char * from_codeset
    name of origin character set, as used by str.

DESCRIPTION
Convert the string from one character set to another using the system's iconv() function.

RETURN VALUE
Returns newly allocated zero-terminated string which is str transcoded into to_codeset.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.